<script setup>
import { useGameStore } from "@/stores/game";
import { storeToRefs } from 'pinia'
import { computed, onBeforeMount, toRaw } from "vue";
import { useRouter } from "vue-router"

const props = defineProps({
    side: String
})
const router = useRouter()

const { players, playerOnTurn } = storeToRefs(useGameStore())
if (!players.value) {
    router.push('/start')
}


const player = computed(() => { 
    return players.value ? players.value[props.side] : { name: null}
})

const isActive = computed(() => {
    return props.side == playerOnTurn.value
})
</script>
 
<template>
    <div class="container"
        :class="{active: isActive}">
            <h4>{{ player.name }}</h4>
            <ol>
                <li v-for="country in player.countries">
                    <img :src="country.flag" class="flag">
                    <span>{{ country.name }}</span>
                </li>
            </ol>
    </div>
</template>

<style scoped>
.active {
    border: 2px green solid;
    height: 100%
}
.container {
    border: 2px green transparent;
    height: 100%
}
.flag {
  width: 100px;
  height: 80px;
  border: 1px solid black;
  margin: 10px;
}
</style>